#!/usr/bin/env bash

CBCP_DIR=./cbcp

set -e

COMPILER=gcc
STANDARD=c99

CFLAGS="
	-std=$STANDARD
	-I$CBCP_DIR
	-ggdb
	-O0
	-Wall
	-Wextra
	-Wcast-align
	-Wno-unused-function
	-pedantic
	-ftabstop=1
	-DCBCP_LITTLE_ENDIAN
	-DCBCP_DEBUG_PRINT_WHEN_SERIALIZING__NOT
"

LFLAGS="
	-lpthread
	-lcrypto
"

$COMPILER $CFLAGS -o client.out client.c $CBCP_DIR/cbcp.c $LFLAGS
$COMPILER $CFLAGS -o server.out server.c $CBCP_DIR/cbcp.c $LFLAGS



